Package org.opensaml.xmlsec.encryption.impl

# Class AlgorithmIdentifierTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xmlsec.encryption.impl.AlgorithmIdentifierTypeImpl

All Implemented Interfaces:
  `XMLObject`, `AlgorithmIdentifierType`

Direct Known Subclasses:
  `MGFImpl`, `OtherSourceImpl`, `PRFImpl`

public abstract class AlgorithmIdentifierTypeImpl extends AbstractXMLObject implements AlgorithmIdentifierType
Abstract implementation of `AlgorithmIdentifierType`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`algorithm`
Algorithm attribute value.
`private XMLObject`
`parameters`
Parameters child element.

### Fields inherited from interface org.opensaml.xmlsec.encryption.AlgorithmIdentifierType

`ALGORITHM_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AlgorithmIdentifierTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAlgorithm()`
Gets the algorithm URI attribute.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`XMLObject`
`getParameters()`
Gets the Parameters child element.
`void`
`setAlgorithm(String newAlgorithm)`
Sets the algorithm URI attribute.
`void`
`setParameters(XMLObject newParameters)`
Sets the Parameters child element.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### algorithm

@Nullable private String algorithm
Algorithm attribute value.

### parameters

@Nullable private XMLObject parameters
Parameters child element.

## Constructor Details

### AlgorithmIdentifierTypeImpl

protected AlgorithmIdentifierTypeImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - namespace URI
  `elementLocalName` - local name
  `namespacePrefix` - namespace prefix

## Method Details

### getAlgorithm

@Nullable public String getAlgorithm()
Gets the algorithm URI attribute.

Specified by:
  `getAlgorithm` in interface `AlgorithmIdentifierType`
Returns:
  the Algorithm attribute URI attribute string

### setAlgorithm

public void setAlgorithm(@Nullable String newAlgorithm)
Sets the algorithm URI attribute.

Specified by:
  `setAlgorithm` in interface `AlgorithmIdentifierType`
Parameters:
  `newAlgorithm` - the new Algorithm URI attribute string

### getParameters

@Nullable public XMLObject getParameters()
Gets the Parameters child element.

Specified by:
  `getParameters` in interface `AlgorithmIdentifierType`
Returns:
  the Parameters child element

### setParameters

public void setParameters(@Nullable XMLObject newParameters)
Sets the Parameters child element.

Specified by:
  `setParameters` in interface `AlgorithmIdentifierType`
Parameters:
  `newParameters` - the new Parameters child element

### getOrderedChildren

@Nullable @Unmodifiable @NotLive public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements